> For the complete documentation index, see [llms.txt](https://docs.adsecure.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.adsecure.com/api/graphql/consumption.md).

# Consumption

```
version   : 0.0.0
stability : stable
```

## Objects

### Consumption

A consumption. Fields

| Name             | Type                                          | Description                                               |
| ---------------- | --------------------------------------------- | --------------------------------------------------------- |
| id               | [ID!](/api/graphql/scalars.md#id)             | The ID of the consumption.                                |
| account          | [Account!](/api/graphql/account.md#account)   | The consumption's account.                                |
| date             | [DateTime!](/api/graphql/scalars.md#datetime) | The consumption's date.                                   |
| analysisCount    | [Int!](/api/graphql/scalars.md#int)           | The consumption's analysis count.                         |
| alertCount       | [Int](/api/graphql/scalars.md#int)            | The consumption's alert count.                            |
| standardUsage    | [Int](/api/graphql/scalars.md#int)            | The consumption's usage for standard IPs in Bytes.        |
| residentialUsage | [Int](/api/graphql/scalars.md#int)            | The consumption's usage for residential IPs in Bytes.     |
| mobileUsage      | [Int](/api/graphql/scalars.md#int)            | The consumption's usage for mobile carriers IPs in Bytes. |

### ConsumptionEdge

An edge in a connection. Fields

| Name   | Type                                                   | Description                      |
| ------ | ------------------------------------------------------ | -------------------------------- |
| cursor | [ID!](/api/graphql/scalars.md#id)                      | A cursor for use in pagination.  |
| node   | [Consumption](/api/graphql/consumption.md#consumption) | The item at the end of the edge. |

### PageInfo

Information about type pagination in a connection. Fields

| Name            | Type                                        | Description                                        |
| --------------- | ------------------------------------------- | -------------------------------------------------- |
| startCursor     | [ID](/api/graphql/scalars.md#id)            | When paginating backwards, the cursor to continue. |
| endCursor       | [ID](/api/graphql/scalars.md#id)            | When paginating forwards, the cursor to continue.  |
| hasNextPage     | [Boolean!](/api/graphql/scalars.md#boolean) | When paginating forwards, are there more items?    |
| hasPreviousPage | [Boolean!](/api/graphql/scalars.md#boolean) | When paginating backwards, are there more items?   |

### ConsumptionConnection

The connection type for Consumption. Fields

| Name     | Type                                                                | Description                       |
| -------- | ------------------------------------------------------------------- | --------------------------------- |
| edges    | [\[ConsumptionEdge\]!](/api/graphql/consumption.md#consumptionedge) | A list of edges.                  |
| nodes    | [\[Consumption\]!](/api/graphql/consumption.md#consumption)         | A list of nodes.                  |
| pageInfo | [PageInfo!](/api/graphql/violation.md#pageinfo)                     | Information to aid in pagination. |

## Queries

### `consumption`

Returns: [Consumption](/api/graphql/consumption.md#consumption)

Arguments

| Name | Type                                          | Description             |
| ---- | --------------------------------------------- | ----------------------- |
| date | [DateTime!](/api/graphql/scalars.md#datetime) | The consumption's date. |

### `consumptions`

Returns: [ConsumptionConnection](/api/graphql/consumption.md#consumptionconnection)

Arguments

| Name     | Type                                         | Description                                                               |
| -------- | -------------------------------------------- | ------------------------------------------------------------------------- |
| first    | [Int!](/api/graphql/scalars.md#int)          | Returns the first n elements from the list.                               |
| initDate | [DateTime](/api/graphql/scalars.md#datetime) | Initial date to filter consumption by.                                    |
| endDate  | [DateTime](/api/graphql/scalars.md#datetime) | End date to filter consumption by.                                        |
| after    | [String](/api/graphql/scalars.md#string)     | Returns the elements in the list that come after the specified global ID. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.adsecure.com/api/graphql/consumption.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
